# $Revision: 1.31 $, $Date: 2011/07/18 12:13:40 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	DOM level2 library for accessing XML files
Summary(pl.UTF-8):	Biblioteka dostępu do plików XML, DOM poziom 2
Name:		gdome2
Version:	0.8.1
Release:	9
License:	LGPL
Group:		Libraries
Source0:	http://gdome2.cs.unibo.it/tarball/%{name}-%{version}.tar.gz
# Source0-md5:	bfc114e59eec50cbda8e4ece751ff022
Patch0:		%{name}-glib2.patch
URL:		http://gdome2.cs.unibo.it/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.2.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.26
BuildRequires:	pkgconfig
Requires:	libxml2 >= 2.4.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdome2 is a fast, light and complete DOM level2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.

A DOM implementation (also called a host implementation) is what makes
a parsed XML or HTML document available for processing via the DOM
interface.

gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents" modules from the DOM2 Recommendation (see
http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-Level-2-Events/), and is supposed to become a
full implementation of all the DOM Level2 standard.

Now gdome2 also partially supports the XPath module from the DOM level
3 drafts.

%description -l pl.UTF-8
gdome2 jest szybką, lekką i kompletną implementacją poziomu 2 DOM
opartą o libxml2. Pomimo, że gdome2 zostało napisane z myślą o
projekcie GNOME, może być używane samodzielnie.

Implementacja DOM (zwana również implementacją hosta) udostępnia
przeanalizowany składniowo dokument XML lub HTML w celu dalszego
jego przetwarzania poprzez interfejs DOM.

gdome2 w chwili obecnej wspiera następujące moduły rekomendacji DOM2:
"Core", "XML", "Events" oraz "MutationEvents" (więcej informacji można
uzyskać pod adresem http://www.w3.org/TR/DOM-Level-2-Core/ oraz
http://www.w3.org/TR/DOM-Level-2-Events/), a w przyszłości ma zostać
pełną implementacją standardu poziomu 2 DOM.

gdome2 wspiera również częściowo poziom 3 DOM, konkretnie XPath.

%package devel
Summary:	Development files for gdome2
Summary(pl.UTF-8):	Pliki nagłówkowe gdome2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.2.0
Requires:	libxml2-devel >= 2.4.26

%description devel
This package contains the header files and configuration scripts for
developing with gdome2.

gdome2 is a fast, light and complete DOM level2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.

A DOM implementation (also called a host implementation) is what makes
a parsed XML or HTML document available for processing via the DOM
interface.

gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents" modules from the DOM2 Recommendation (see
http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-Level-2-Events/), and is supposed to become a
full implementation of all the DOM Level2 standard.

Now gdome2 also partially supports the XPath module from the DOM level
3 drafts.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe oraz skrypty konfiguracyjne
potrzebne do rozwijania oprogramowania opartego o gdome2.

gdome2 jest szybką, lekką i kompletną implementacją poziomu 2 DOM
opartą o libxml2. Pomimo, że gdome2 zostało napisane z myślą o
projekcie GNOME, może być używane samodzielnie.

Implementacja DOM (zwana również implementacją hosta) udostępnia
przeanalizowany składniowo dokument XML lub HTML w celu dalszego
jego przetwarzania poprzez interfejs DOM.

gdome2 w chwili obecnej wspiera następujące moduły rekomendacji DOM2:
"Core", "XML", "Events" oraz "MutationEvents" (więcej informacji można
uzyskać pod adresem http://www.w3.org/TR/DOM-Level-2-Core/ oraz
http://www.w3.org/TR/DOM-Level-2-Events/), a w przyszłości ma zostać
pełną implementacją standardu poziomu 2 DOM.

gdome2 wspiera również częściowo poziom 3 DOM, konkretnie XPath.

%package static
Summary:	Static libraries for gdome2
Summary(pl.UTF-8):	Biblioteki statyczne dla gdome2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libraries for developing with gdome2.

%description static -l pl.UTF-8
Pakiet ten zawiera statyczne biblioteki potrzebne do rozwijania
oprogramowania opartego o gdome2.

%prep
%setup -q
%patch0 -p1

echo 'AM_DEFUN([AM_PATH_GLIB], [$3])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc gtk-doc/html/*.html
%attr(755,root,root) %{_bindir}/gdome-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/libgdome
%{_mandir}/man1/gdome-config.1*
%{_aclocaldir}/%{name}.m4
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdome2.spec,v $
Revision 1.31  2011/07/18 12:13:40  baggins
- rel 9

Revision 1.30  2011/01/29 00:06:29  sparky
- dropped pre-cvs changelog

Revision 1.29  2007/09/07 17:43:07  witekfl
- added bcond_without static_libs

Revision 1.28  2007/06/14 18:19:10  arekm
- rel 8

Revision 1.27  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.25  2007/01/28 13:49:12  arekm
- rel 7

Revision 1.24  2006/10/20 22:27:22  ankry
- fix unset @GLIB_CONFIG@ in gdome-config, rel. 6

Revision 1.23  2005/10/16 20:25:07  arekm
- rel 5; always build with glib2

Revision 1.22  2005/10/16 18:25:16  darekr
- strict deps

Revision 1.21  2005/10/16 18:24:15  paszczus
- added BR: pkgconfig ; release 4

Revision 1.20  2005/10/16 18:09:35  arekm
- rel 3

Revision 1.19  2004/02/23 22:08:59  ankry
- pl fixes, cosmetics

Revision 1.18  2003/11/21 09:11:40  qboosh
- cleanup, release 2

Revision 1.17  2003/11/21 09:11:01  qboosh
- updated glib2-devel deps (>= 2.2.0 now) and glib1 bcond (glib2 is default now)
- added acinclude hack not to require both glib*-devel packages
- closes BTS#771

Revision 1.16  2003/10/08 20:01:34  grzegol
- updated to 0.8.1
- removed outdated ac patch (already in sources)

Revision 1.15  2003/10/02 08:00:05  qboosh
- added GLIB_CONFIG workaround to fix gdome-config with glib2

Revision 1.14  2003/09/13 20:26:01  grzegol
- updated to 0.8.0
- build with glib2 by default (according to ChangeLog now it should work fine)

Revision 1.13  2003/08/01 21:13:26  qboosh
- added bcond for glib2 (glib 1.2 by default - acc. to ChangeLog glib2 is not
  supported yet... but builds)
- removed autogenerated SONAME symlink, moved base docs to base

Revision 1.12  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:47:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/21 08:06:22  trojan
- removed --enable-gdome-2

Revision 1.9  2003/03/21 08:03:58  trojan
- updated to 0.7.4
- fixed %%files

Revision 1.8  2003/02/08 19:18:42  juandon
- fixed required versions

Revision 1.7  2003/02/08 18:24:57  juandon
- update

Revision 1.6  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.5  2002/09/03 21:41:07  kloczek
- more macros and few cosmetics.

Revision 1.4  2002/09/03 21:38:34  kloczek
- updated to 0.7.2: bug fixes,
- BuildRequires: libxml2-devel >= 2.4.21.

Revision 1.3  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.2  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/20 13:31:42  malekith
- initial; based on spec from tarball
